const EN = [null,'Monday','Tuesday','Wednesday','Thursday','Friday','Saturday','Sunday'] 
const EN_BRIEF = [null,'Mon','Tue','Wed','Thur','Fri','Sat','Sun']
const CH = [null,'周一','周二','周三','周四','周五','周六','周日'] 
const CH_BRIEF =  [null,'一','二','三','四','五','六','日']   

const D ={EN,CH,EN_BRIEF,CH_BRIEF}

function get_local_wd(dt) {
    let wd = dt.getDay()
    wd = (wd === 0)? 7:wd;
    return(wd)
}

function get_utc_wd(dt) {
    let wd = dt.getUTCDay()
    wd = (wd === 0)? 7:wd;
    return(wd)
}

function _wd_to_str(wd,lang='EN') {
    return(D[lang][wd])
}

module.exports = {
    get_local_wd,
    get_utc_wd,
    ////
    EN,CH,
    EN_BRIEF,CH_BRIEF,
    D,
    _wd_to_str,
    ////
}


