const _is_nan  = isNaN;
const _DT      = Date;
const creat_dt = (mts) => new _DT(mts);
const _y       = (dt)  => dt.getFullYear();
const y        = (mts) => _y(creat_dt(mts));
const _m       = (dt)  => dt.getMonth()+1;
const m        = (mts) => _m(creat_dt(mts));
const _d       = (dt)  => dt.getDate();
const d        = (mts) => _d(creat_dt(mts));
const _wd      = (dt)  => {
    let d = dt.getDay();
    return(d===0?7:d)
}	
const wd       = (mts) => _wd(creat_dt(mts));

const MAX_MTS      = 8640000000000000;
const MAX_DATE     = creat_dt(MAX_MTS);
const INVALID_DATE = creat_dt(MAX_MTS+1);
const MIN_MTS      = -MAX_MTS;
const MIN_DATE     = creat_dt(MIN_MTS);

const is_valid_mts   = (mts)=> mts>=MIN_MTS && mts<=MAX_MTS;

const MAX_YEAR       = _y(MAX_DATE); 
const MIN_YEAR       = _y(MIN_DATE);
const is_valid_year  = (year)=>year>=MIN_YEAR && year<=MAX_YEAR;

const MAX_MONTH       = 12; 
const MIN_MONTH       = 1;
const is_valid_month  = (month)=>month>=MIN_MONTH  && month<=MAX_MONTH ;


const MIN_WEEKDAY      = 1;
const MAX_WEEKDAY      = 7;
const is_valid_weekday  = (wd)=>wd>=MIN_WEEKDAY  && month<=MAX_WEEKDAY ;


module.exports = {
    _DT,creat_dt,
	////
    MAX_MTS,
	MAX_DATE,
	INVALID_DATE,
	MIN_MTS,
	MIN_DATE,
	MAX_YEAR,MIN_YEAR,
	MAX_MONTH,MIN_MONTH,
	MIN_WEEKDAY,MAX_WEEKDAY,
	////
	is_valid_mts,
	_y,y,is_valid_year,
	_m,m,is_valid_month,
	_d,d,
	_wd,wd,is_valid_weekday,	
}
